VST 3 Interfaces: IRemapParamID Class Reference
Author: Steinberg

VST 3 Interfaces VST 3.8 SDK for developing VST plug-in

Loading...
Searching...
No Matches
Public Member Functions | Static Public Attributes | List of all members
IRemapParamID Class Referenceabstract

Extended IEditController interface for a component. More...

`#include <ivstremapparamid.h>`

Inheritance diagram for IRemapParamID:

## Public Member Functions
virtual tresult | getCompatibleParamID (const TUID pluginToReplaceUID, ParamID oldParamID, ParamID &newParamID)=0
| Retrieve the appropriate paramID for a specific plug-in UID and paramID (or index for VST 2 plug-ins).
Public Member Functions inherited from FUnknown
virtual tresult | queryInterface (const TUID _iid, void **obj)=0
virtual uint32 | addRef ()=0
virtual uint32 | release ()=0

## Static Public Attributes
static const FUID | iid
Static Public Attributes inherited from FUnknown
static const FUID | iid

## Detailed Description

Extended IEditController interface for a component.

- [plug imp]
- [extends IEditController]
- [released: 3.7.11]
- [optional]

When replacing one plug-in with another, the host can ask the new plug-in for remapping paramIDs to new ones.

See also
  Moduleinfo
  IPluginCompatibility
  IEditController

## Member Function Documentation

## ◆ getCompatibleParamID()

virtual tresult getCompatibleParamID | ( | const TUID | pluginToReplaceUID,
|  | ParamID | oldParamID,
|  | ParamID & | newParamID )
| pure virtual

Retrieve the appropriate paramID for a specific plug-in UID and paramID (or index for VST 2 plug-ins).

The retrieved paramID should match the one it replaces, maintaining the same behavior during automation playback. Called in UI-Thread context.

Parameters

  [in] | pluginToReplaceUID | - TUID of plug-in (processor) that will be replaced
  [in] | oldParamID | - paramID (or index for VST 2 plug-ins) to be replaced
  [out] | newParamID | - contains the associated paramID to be used

Returns
  kResultTrue if a compatible parameter is available (newParamID has the appropriate value, it could be the same than oldParamID), or kResultFalse if no compatible parameter is available (newParamID is undefined).

Note
  [UI-thread & Initialized]

## Member Data Documentation

## ◆ iid

const FUID iid
| static

Empty

Copyright © Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.